using System.Windows.Forms;

using DevExpress.XtraEditors;
using DevExpress.XtraPivotGrid;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainForm()

        /// <summary>
        /// 
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.tableAdapter.Fill(this.productReport._ProductReports);

            this.pivotGridControl.FieldFilterChanging += pivotGridControl_FieldFilterChanging;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region ǹ ׸ Ʈ ʵ    óϱ - pivotGridControl_FieldFilterChanging(sender, e)

        /// <summary>
        /// ǹ ׸ Ʈ ʵ    óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        private void pivotGridControl_FieldFilterChanging(object sender, PivotFieldFilterChangingEventArgs e)
        {
            if(object.ReferenceEquals(e.Field, this.categoryNameField))
            {
                if
                (
                    (e.Field.FilterValues.FilterType == PivotFilterType.Excluded &&  e.Values.Contains("Beverages")) ||
                    (e.Field.FilterValues.FilterType == PivotFilterType.Included && !e.Values.Contains("Beverages"))
                )
                {
                    XtraMessageBox.Show
                    (
                        this,
                        "You are not allowed to hide the 'Beverages' value.",
                        "INFORMATION",
                        MessageBoxButtons.OK,
                        MessageBoxIcon.Information
                    );

                    e.Cancel = true;
                }
            }
        }

        #endregion
    }
}